Bug 229796 - emulators/nestopia: Update to 1.49
Summary: emulators/nestopia: Update to 1.49
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-15 23:59 UTC by Neel Chauhan
Modified: 2018-08-03 02:54 UTC (History)
2 users (show)

See Also:
nc: maintainer-feedback+


Attachments
Patch (Revision 1) (822 bytes, patch)
2018-07-15 23:59 UTC, Neel Chauhan
nc: maintainer-approval+
Details | Diff
Patch (Revision 2) (2.15 KB, patch)
2018-07-30 13:42 UTC, Neel Chauhan
nc: maintainer-approval+
Details | Diff
Patch (Revision 3) (2.13 KB, patch)
2018-08-02 23:57 UTC, Neel Chauhan
nc: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan freebsd_committer 2018-07-15 23:59:35 UTC
Created attachment 195164 [details]
Patch (Revision 1)

Builds on FreeBSD 11.2 amd64.
Comment 1 Yuri Victorovich freebsd_committer 2018-07-30 03:53:24 UTC
> CMake Error: The source directory "/usr/ports/emulators/nestopia/work/nestopia-1.49" does not appear to contain CMakeLists.txt.
Comment 2 Neel Chauhan freebsd_committer 2018-07-30 13:42:43 UTC
Created attachment 195633 [details]
Patch (Revision 2)

I tested with a longer patch, but uploaded a short version. Sorry.

Here's the updated patch.
Comment 3 Yuri Victorovich freebsd_committer 2018-07-30 18:48:30 UTC
Now it still fails:
> checking whether c++ accepts -g... yes
> ./configure: 2603: Syntax error: word unexpected (expecting ")")
> ===>  Script "configure" failed unexpectedly.
Comment 4 Yuri Victorovich freebsd_committer 2018-07-30 18:49:07 UTC
(In reply to Yuri Victorovich from comment #3)

The section of configure in question is:
if test "x${enable_flags_setting}" = "xyes" && test "x${enable_debug}" = "xno"; then :

        AX_APPEND_COMPILE_FLAGS(${cxxflags_test} -Wno-narrowing, CXXFLAGS)
        CXXFLAGS=$( echo ${CXXFLAGS} | $SED -e 's/^ *//' -e 's/ *$//' )

        AX_APPEND_COMPILE_FLAGS(${cppflags_test}, CPPFLAGS)
        CPPFLAGS=$( echo ${CPPFLAGS} | $SED -e 's/^ *//' -e 's/ *$//' )

        AX_APPEND_LINK_FLAGS(${ldflags_test}, LDFLAGS)
        LDFLAGS=$( echo ${LDFLAGS} | $SED -e 's/^ *//' -e 's/ *$//' )


fi
Comment 5 Neel Chauhan freebsd_committer 2018-08-02 23:57:01 UTC
Created attachment 195785 [details]
Patch (Revision 3)

New patch - passes Poudriere.
Comment 6 Yuri Victorovich freebsd_committer 2018-08-03 02:54:11 UTC
Committed with changes.
Thank you for your update!
Comment 7 commit-hook freebsd_committer 2018-08-03 02:54:52 UTC
A commit references this bug:

Author: yuri
Date: Fri Aug  3 02:54:04 UTC 2018
New revision: 476276
URL: https://svnweb.freebsd.org/changeset/ports/476276

Log:
  emulators/nestopia: Update 1.48 -> 1.49

  Port changes:
  * Use DISTVERSION
  * Add LICENSE_FILE
  * Change cmake -> autoreconf, add BUILD_DEPENDS autoconf-archive
  * Remove stripping: it's now done by the project

  PR:		229796
  Submitted by:	Neel Chauhan <neel@neelc.org> (maintainer)

Changes:
  head/emulators/nestopia/Makefile
  head/emulators/nestopia/distinfo
  head/emulators/nestopia/pkg-plist